メインコンテンツへ移動
Nowledge MemNowledge Mem

メモリを更新

PATCH
/memories/{memory_id}

Update memory properties like importance, title, and content.

パスパラメータ

memory_id*Memory Id

リクエストボディ

application/json

TypeScript定義

TypeScriptでrequest body型を使用します。

レスポンスボディ

application/json

application/json

curl -X PATCH "https://example.com/memories/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "confidence": 0,  "content": "string",  "id": "string",  "importance": 0,  "is_favorite": false,  "label_ids": [    "string"  ],  "metadata": {},  "rating": 0,  "source": "string",  "source_thread": {    "id": "string",    "space_id": "default",    "title": "string"  },  "space_id": "default",  "time": "string",  "title": "string",  "unit_type": "fact"}